QID 353086

Date Published: 2021-12-22

QID 353086: Amazon Linux Security Advisory for java-11-openjdk : ALAS2JAVA-OPENJDK11-2021-001

No versions of an amazon linux java virtual machine (jvm) are affected by( CVE-2021-44228 or( CVE-2021-45046.
However, if customers load a log4j version that is affected by( CVE-2021-44228 or( CVE-2021-45046 into an amazon linux jvm, it will introduce the issues identified in( CVE-2021-44228 and( CVE-2021-45046 into the jvm.
This update modifies amazon linux packages that provide a jvm to also install the aws-developed hotpatch to mitigate( CVE-2021-44228 or( CVE-2021-45046 by default.
For more information on the hotpatch package in amazon linux, see https://alas.aws.amazon.com/announcements/2021-001.html



Note: The preceding description block is extracted directly from the security advisory. Using automation, we have attempted to clean and format it as much as possible without introducing additional issues.

Successful exploitation of this vulnerability could lead to a securitybreach or could affect integrity, availability, and confidentiality.

  • CVSS V3 rated as Critical - 10 severity.
  • CVSS V2 rated as Critical - 9.3 severity.
  • Solution
    Please refer to Amazon advisory: ALAS2JAVA-OPENJDK11-2021-001 for affected packages and patching details, or update with your package manager.
    Vendor References

    CVEs related to QID 353086

    Software Advisories
    Advisory ID Software Component Link
    ALAS2JAVA-OPENJDK11-2021-001 Amazon Linux 2 URL Logo alas.aws.amazon.com/AL2/ALASJAVA-OPENJDK11-2021-001.html